<%- include('../includes/head.ejs') %>
    </head>

    <body>
        <%- include('../includes/navigation.ejs') %>
        <main>
            <% if (prods.length > 0) { %>
                <div class="grid">
                    <% for (let product of prods) { %>
                        <article class="card product-item">
                            <header class="card__header">
                                <h1 class="product__title">
                                    <%= product.product.title %>
                                </h1>
                            </header>
                            <!-- <div class="card__image">
                                <img src="<%= product.imageUrl %>" alt="<%= product.title %>">
                            </div> -->
                            <div class="card__content">
                                <h2 class="product__price">$
                                    <%= product.product.price %>
                                </h2>
                                <h3 class="product__price">Qty:
                                    <%= product.quantity %>
                                </h3>
                                <p class="product__description">
                                    <%= product.product.description %>
                                </p>
                            </div>
                            <div class="card__actions">
                                <a class="btn" href="/products/<%= product.product._id %>">Details</a>
                                <form action="/cart-remove" method="POST">
                                    <input type="hidden" name="_csrf" value="<%= csrfToken %>" />
                                    <button class="btn" type="submit">Remove</button>
                                    <input type="hidden" name="productId" value="<%= product.product._id %>">
                                </form>
                            </div>
                        </article>
                        <% } %>
                    </div>
                    <hr />
                    <div class="centered">
                        <!-- <form action="/create-order" method="POST">
                            <input type="hidden" name="_csrf" value="<%= csrfToken %>" />
                            <button class="btn">Order now</button>
                        </form> -->
                        <a class ="btn" href="/checkout">Order Now</a>
                    </div>
                <% } else { %>
                    <h1>No Products Found!</h1>
                    <% } %>
        </main>
        <%- include('../includes/end.ejs') %>